#version 430 core
layout (location = 0) in vec3 position;
layout (location = 1) in vec4 color;
layout (location = 2) in vec3 boxXboxYwidth;
layout (std140, binding = 0) uniform TheMat { mat4 theMat; } ;
out vec4 vColor;
out vec3 vparams;
void main()
{
  gl_Position = theMat * vec4(position.xyz,1);
  vColor = color;
  vparams = boxXboxYwidth;
}
